From ff0d42d28cfc3017595a119a5faa6c048215e265 Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Mon, 17 Dec 2018 23:08:02 +0100
Subject: [PATCH] kernel: Remove unneeded opt_*.h, use_*.h and *_if.h from
 module Makefiles.

---
 sys/bus/pccard/Makefile                    | 4 +---
 sys/bus/smbus/ichsmb/Makefile              | 2 +-
 sys/bus/u4b/audio/Makefile                 | 4 ++--
 sys/bus/u4b/input/uep/Makefile             | 2 +-
 sys/bus/u4b/input/uhid/Makefile            | 2 +-
 sys/bus/u4b/input/ukbd/Makefile            | 4 ++--
 sys/bus/u4b/input/ums/Makefile             | 2 +-
 sys/bus/u4b/misc/ufm/Makefile              | 2 +-
 sys/bus/u4b/net/aue/Makefile               | 2 +-
 sys/bus/u4b/net/axe/Makefile               | 2 +-
 sys/bus/u4b/net/axge/Makefile              | 4 ++--
 sys/bus/u4b/net/cdce/Makefile              | 2 +-
 sys/bus/u4b/net/cue/Makefile               | 2 +-
 sys/bus/u4b/net/ipheth/Makefile            | 2 +-
 sys/bus/u4b/net/kue/Makefile               | 2 +-
 sys/bus/u4b/net/mos/Makefile               | 2 +-
 sys/bus/u4b/net/udav/Makefile              | 2 +-
 sys/bus/u4b/net/uether/Makefile            | 2 +-
 sys/bus/u4b/net/urndis/Makefile            | 2 +-
 sys/bus/u4b/quirk/Makefile                 | 2 +-
 sys/bus/u4b/serial/u3g/Makefile            | 2 +-
 sys/bus/u4b/serial/uark/Makefile           | 2 +-
 sys/bus/u4b/serial/ubsa/Makefile           | 2 +-
 sys/bus/u4b/serial/ubser/Makefile          | 2 +-
 sys/bus/u4b/serial/uchcom/Makefile         | 2 +-
 sys/bus/u4b/serial/ucom/Makefile           | 2 +-
 sys/bus/u4b/serial/ucycom/Makefile         | 2 +-
 sys/bus/u4b/serial/ufoma/Makefile          | 2 +-
 sys/bus/u4b/serial/uftdi/Makefile          | 2 +-
 sys/bus/u4b/serial/ugensa/Makefile         | 2 +-
 sys/bus/u4b/serial/uipaq/Makefile          | 2 +-
 sys/bus/u4b/serial/ulpt/Makefile           | 2 +-
 sys/bus/u4b/serial/umcs/Makefile           | 2 +-
 sys/bus/u4b/serial/umct/Makefile           | 2 +-
 sys/bus/u4b/serial/umodem/Makefile         | 2 +-
 sys/bus/u4b/serial/umoscom/Makefile        | 2 +-
 sys/bus/u4b/serial/uplcom/Makefile         | 2 +-
 sys/bus/u4b/serial/uslcom/Makefile         | 2 +-
 sys/bus/u4b/serial/uvisor/Makefile         | 2 +-
 sys/bus/u4b/serial/uvscom/Makefile         | 2 +-
 sys/bus/u4b/storage/umass/Makefile         | 4 ++--
 sys/bus/u4b/storage/urio/Makefile          | 2 +-
 sys/bus/u4b/storage/usfs/Makefile          | 2 +-
 sys/bus/u4b/usb/Makefile                   | 2 +-
 sys/bus/u4b/wlan/rum/Makefile              | 2 +-
 sys/bus/u4b/wlan/run/Makefile              | 2 +-
 sys/bus/u4b/wlan/urtwn/Makefile            | 2 +-
 sys/crypto/Makefile                        | 2 +-
 sys/dev/disk/ahci/Makefile                 | 2 +-
 sys/dev/disk/nata/natacard/Makefile        | 2 +-
 sys/dev/disk/nata/natadisk/Makefile        | 2 +-
 sys/dev/disk/nata/natapicam/Makefile       | 2 +-
 sys/dev/disk/nata/natapicd/Makefile        | 2 +-
 sys/dev/disk/nata/natapifd/Makefile        | 2 +-
 sys/dev/disk/nata/natapist/Makefile        | 2 +-
 sys/dev/disk/sbp/Makefile                  | 3 +--
 sys/dev/disk/sili/Makefile                 | 2 +-
 sys/dev/disk/sym/Makefile                  | 2 +-
 sys/dev/disk/trm/Makefile                  | 2 +-
 sys/dev/disk/vpo/Makefile                  | 2 +-
 sys/dev/drm/drm/Makefile                   | 2 +-
 sys/dev/drm/i915/Makefile                  | 2 +-
 sys/dev/drm/radeon/Makefile                | 1 -
 sys/dev/netif/ath/ath_dfs/null/Makefile    | 2 +-
 sys/dev/netif/ath/ath_rate/sample/Makefile | 2 +-
 sys/dev/netif/iwi/Makefile                 | 3 +--
 sys/dev/netif/iwm/Makefile                 | 2 +-
 sys/dev/netif/lnc/Makefile                 | 2 +-
 sys/dev/netif/wpi/Makefile                 | 1 -
 sys/dev/netif/xe/Makefile                  | 2 +-
 sys/dev/powermng/alpm/Makefile             | 2 +-
 sys/dev/powermng/intpm/Makefile            | 2 +-
 sys/dev/powermng/viapm/Makefile            | 2 +-
 sys/dev/raid/aac/Makefile                  | 2 +-
 sys/dev/raid/amr/amr_cam/Makefile          | 2 +-
 sys/dev/raid/arcmsr/Makefile               | 2 +-
 sys/dev/raid/asr/Makefile                  | 2 +-
 sys/dev/raid/ciss/Makefile                 | 2 +-
 sys/dev/raid/hpt27xx/Makefile              | 2 +-
 sys/dev/raid/hptiop/Makefile               | 2 +-
 sys/dev/raid/hptmv/Makefile                | 2 +-
 sys/dev/raid/hptrr/Makefile                | 2 +-
 sys/dev/raid/iir/Makefile                  | 2 +-
 sys/dev/raid/mfi/Makefile                  | 2 +-
 sys/dev/raid/mfi/mfip/Makefile             | 2 +-
 sys/dev/raid/mly/Makefile                  | 2 +-
 sys/dev/raid/mrsas/Makefile                | 2 +-
 sys/dev/raid/twa/Makefile                  | 2 +-
 sys/dev/raid/tws/Makefile                  | 2 +-
 sys/dev/sound/driver/spicds/Makefile       | 2 +-
 sys/dev/video/bktr/bktr/Makefile           | 2 +-
 sys/dev/video/vga/Makefile                 | 2 +-
 sys/dev/virtual/virtio/balloon/Makefile    | 1 -
 sys/dev/virtual/virtio/block/Makefile      | 1 -
 sys/dev/virtual/virtio/net/Makefile        | 1 -
 sys/dev/virtual/virtio/random/Makefile     | 1 -
 sys/dev/virtual/virtio/scsi/Makefile       | 3 +--
 sys/net/gif/Makefile                       | 3 +--
 sys/net/pf/Makefile                        | 2 +-
 sys/netbt/Makefile                         | 4 +---
 sys/netproto/802_11/wlan/Makefile          | 2 +-
 sys/vfs/smbfs/Makefile                     | 4 +---
 102 files changed, 100 insertions(+), 116 deletions(-)

diff --git a/sys/bus/pccard/Makefile b/sys/bus/pccard/Makefile
index e57b6e9e5a..b191e2472a 100644
--- a/sys/bus/pccard/Makefile
+++ b/sys/bus/pccard/Makefile
@@ -1,9 +1,7 @@
-# $DragonFly: src/sys/bus/pccard/Makefile,v 1.3 2007/07/05 12:08:53 sephe Exp $
-#
 # Makefile for the PCCARD subsystem
 
 KMOD= pccard
-SRCS=	bus_if.h device_if.h pci_if.h \
+SRCS=	bus_if.h device_if.h \
 	pccard.c card_if.h power_if.h\
 	pccard_cis.c pccard_cis_quirks.c pccarddevs.h \
 	pccardreg.h pccardvar.h
diff --git a/sys/bus/smbus/ichsmb/Makefile b/sys/bus/smbus/ichsmb/Makefile
index 456442f0c2..fdf7a043ec 100644
--- a/sys/bus/smbus/ichsmb/Makefile
+++ b/sys/bus/smbus/ichsmb/Makefile
@@ -2,7 +2,7 @@
 
 .PATH:		${.CURDIR}/..
 KMOD		= ichsmb
-SRCS		= device_if.h bus_if.h iicbb_if.h pci_if.h smbus_if.h \
+SRCS		= device_if.h bus_if.h pci_if.h smbus_if.h \
 		  ichsmb.c ichsmb_pci.c ichsmb_reg.h ichsmb_var.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/audio/Makefile b/sys/bus/u4b/audio/Makefile
index 5100e29e83..5583c980b1 100644
--- a/sys/bus/u4b/audio/Makefile
+++ b/sys/bus/u4b/audio/Makefile
@@ -1,8 +1,8 @@
 # $FreeBSD: head/sys/modules/sound/driver/uaudio/Makefile 266006 2014-05-14 07:33:06Z hselasky $
 
 KMOD=	uaudio
-SRCS=	bus_if.h device_if.h mixer_if.h usb_if.h
-SRCS+=	opt_usb.h opt_bus.h opt_snd.h feeder_if.h channel_if.h usbdevs.h
+SRCS=	bus_if.h device_if.h mixer_if.h
+SRCS+=	opt_usb.h opt_snd.h feeder_if.h channel_if.h usbdevs.h
 SRCS+=	uaudio_pcm.c uaudio.c 
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/input/uep/Makefile b/sys/bus/u4b/input/uep/Makefile
index e09df7eac9..a5d12c3316 100644
--- a/sys/bus/u4b/input/uep/Makefile
+++ b/sys/bus/u4b/input/uep/Makefile
@@ -2,7 +2,7 @@
 
 KMOD=	uep
 
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h usbdevs.h \
+SRCS=	opt_usb.h device_if.h bus_if.h usbdevs.h \
 	uep.c
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/input/uhid/Makefile b/sys/bus/u4b/input/uhid/Makefile
index 20636795b8..7fbcadbf78 100644
--- a/sys/bus/u4b/input/uhid/Makefile
+++ b/sys/bus/u4b/input/uhid/Makefile
@@ -2,7 +2,7 @@
 
 KMOD=	uhid
 
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h usbdevs.h \
+SRCS=	opt_usb.h device_if.h bus_if.h usbdevs.h \
 	uhid.c
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/input/ukbd/Makefile b/sys/bus/u4b/input/ukbd/Makefile
index b24ebcf88a..8a6f665b89 100644
--- a/sys/bus/u4b/input/ukbd/Makefile
+++ b/sys/bus/u4b/input/ukbd/Makefile
@@ -2,8 +2,8 @@
 
 KMOD=	ukbd
 
-SRCS=	bus_if.h device_if.h usb_if.h \
-	opt_bus.h opt_evdev.h opt_kbd.h opt_ukbd.h opt_usb.h \
+SRCS=	bus_if.h device_if.h \
+	opt_evdev.h opt_kbd.h opt_ukbd.h opt_usb.h \
 	ukbd.c
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/input/ums/Makefile b/sys/bus/u4b/input/ums/Makefile
index 458ed68065..fe4e33636b 100644
--- a/sys/bus/u4b/input/ums/Makefile
+++ b/sys/bus/u4b/input/ums/Makefile
@@ -2,7 +2,7 @@
 
 KMOD=	ums
 
-SRCS=	opt_bus.h opt_evdev.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_evdev.h opt_usb.h device_if.h bus_if.h \
 	usbdevs.h ums.c
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/misc/ufm/Makefile b/sys/bus/u4b/misc/ufm/Makefile
index a4d24a9202..ab0e683ba3 100644
--- a/sys/bus/u4b/misc/ufm/Makefile
+++ b/sys/bus/u4b/misc/ufm/Makefile
@@ -28,6 +28,6 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	ufm
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h usbdevs.h ufm.c
+SRCS=	opt_usb.h device_if.h bus_if.h usbdevs.h ufm.c
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/net/aue/Makefile b/sys/bus/u4b/net/aue/Makefile
index 9f12fe8edf..f86f826c00 100644
--- a/sys/bus/u4b/net/aue/Makefile
+++ b/sys/bus/u4b/net/aue/Makefile
@@ -28,7 +28,7 @@
 .PATH: ${.CURDIR}/..
 
 KMOD=	if_aue
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h usbdevs.h \
+SRCS=	opt_usb.h device_if.h bus_if.h usbdevs.h \
 	miibus_if.h opt_inet.h \
 	if_aue.c
 
diff --git a/sys/bus/u4b/net/axe/Makefile b/sys/bus/u4b/net/axe/Makefile
index 0099392fb6..78bc0753ea 100644
--- a/sys/bus/u4b/net/axe/Makefile
+++ b/sys/bus/u4b/net/axe/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	if_axe
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h usbdevs.h \
+SRCS=	opt_usb.h device_if.h bus_if.h usbdevs.h \
 	miibus_if.h opt_inet.h \
 	if_axe.c 
 
diff --git a/sys/bus/u4b/net/axge/Makefile b/sys/bus/u4b/net/axge/Makefile
index 83c46ddf8b..1b8ed78e7f 100644
--- a/sys/bus/u4b/net/axge/Makefile
+++ b/sys/bus/u4b/net/axge/Makefile
@@ -4,7 +4,7 @@
 
 KMOD=	if_axge
 SRCS+=	if_axge.c usbdevs.h
-SRCS+=	bus_if.h device_if.h miibus_if.h usb_if.h \
-	opt_bus.h opt_inet.h opt_usb.h
+SRCS+=	bus_if.h device_if.h miibus_if.h \
+	opt_inet.h opt_usb.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/net/cdce/Makefile b/sys/bus/u4b/net/cdce/Makefile
index 723885ca2b..ae319f5038 100644
--- a/sys/bus/u4b/net/cdce/Makefile
+++ b/sys/bus/u4b/net/cdce/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	if_cdce
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h usbdevs.h \
+SRCS=	opt_usb.h device_if.h bus_if.h usb_if.h usbdevs.h \
 	miibus_if.h opt_inet.h \
 	if_cdce.c 
 
diff --git a/sys/bus/u4b/net/cue/Makefile b/sys/bus/u4b/net/cue/Makefile
index 2ea964133f..2f1921d3e8 100644
--- a/sys/bus/u4b/net/cue/Makefile
+++ b/sys/bus/u4b/net/cue/Makefile
@@ -28,7 +28,7 @@
 .PATH: ${.CURDIR}/..
 
 KMOD=	if_cue
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h usbdevs.h \
+SRCS=	opt_usb.h device_if.h bus_if.h usbdevs.h \
 	miibus_if.h opt_inet.h \
 	if_cue.c
 
diff --git a/sys/bus/u4b/net/ipheth/Makefile b/sys/bus/u4b/net/ipheth/Makefile
index f6bfbac728..ed2ed9de61 100644
--- a/sys/bus/u4b/net/ipheth/Makefile
+++ b/sys/bus/u4b/net/ipheth/Makefile
@@ -28,7 +28,7 @@
 .PATH: ${.CURDIR}/..
 
 KMOD=	if_ipheth
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h usbdevs.h \
+SRCS=	opt_usb.h device_if.h bus_if.h usbdevs.h \
 	miibus_if.h opt_inet.h \
 	if_ipheth.c
 
diff --git a/sys/bus/u4b/net/kue/Makefile b/sys/bus/u4b/net/kue/Makefile
index 6c43a81e44..b029cb743b 100644
--- a/sys/bus/u4b/net/kue/Makefile
+++ b/sys/bus/u4b/net/kue/Makefile
@@ -28,7 +28,7 @@
 .PATH: ${.CURDIR}/..
 
 KMOD=	if_kue
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h usbdevs.h \
+SRCS=	opt_usb.h device_if.h bus_if.h usbdevs.h \
 	miibus_if.h opt_inet.h \
 	if_kue.c
 
diff --git a/sys/bus/u4b/net/mos/Makefile b/sys/bus/u4b/net/mos/Makefile
index f3f1d4971a..366e32cb2f 100644
--- a/sys/bus/u4b/net/mos/Makefile
+++ b/sys/bus/u4b/net/mos/Makefile
@@ -28,7 +28,7 @@
 .PATH: ${.CURDIR}/..
 
 KMOD=	if_mos
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h usbdevs.h \
+SRCS=	opt_usb.h device_if.h bus_if.h usbdevs.h \
 	miibus_if.h opt_inet.h \
 	if_mos.c
 
diff --git a/sys/bus/u4b/net/udav/Makefile b/sys/bus/u4b/net/udav/Makefile
index 228c9c9f90..632c4ead2a 100644
--- a/sys/bus/u4b/net/udav/Makefile
+++ b/sys/bus/u4b/net/udav/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	if_udav
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h usbdevs.h \
+SRCS=	opt_usb.h device_if.h bus_if.h usbdevs.h \
 	miibus_if.h opt_inet.h \
 	if_udav.c 
 
diff --git a/sys/bus/u4b/net/uether/Makefile b/sys/bus/u4b/net/uether/Makefile
index 2f20516f41..b4fff44030 100644
--- a/sys/bus/u4b/net/uether/Makefile
+++ b/sys/bus/u4b/net/uether/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	uether
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	miibus_if.h opt_inet.h \
 	usb_ethernet.c 
 
diff --git a/sys/bus/u4b/net/urndis/Makefile b/sys/bus/u4b/net/urndis/Makefile
index 3f442ca6c5..4dfbf86ecd 100644
--- a/sys/bus/u4b/net/urndis/Makefile
+++ b/sys/bus/u4b/net/urndis/Makefile
@@ -28,7 +28,7 @@
 .PATH: ${.CURDIR}/..
 
 KMOD=	if_urndis
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h usbdevs.h \
+SRCS=	opt_usb.h device_if.h bus_if.h usb_if.h usbdevs.h \
 	miibus_if.h opt_inet.h \
 	if_urndis.c
 
diff --git a/sys/bus/u4b/quirk/Makefile b/sys/bus/u4b/quirk/Makefile
index 48a82821da..edda315e24 100644
--- a/sys/bus/u4b/quirk/Makefile
+++ b/sys/bus/u4b/quirk/Makefile
@@ -26,7 +26,7 @@
 #
 
 KMOD=	usb_quirk
-SRCS=	bus_if.h device_if.h usb_if.h opt_bus.h opt_usb.h usbdevs.h \
+SRCS=	bus_if.h device_if.h opt_usb.h usbdevs.h \
 	usb_quirk.c
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/u3g/Makefile b/sys/bus/u4b/serial/u3g/Makefile
index 7b17cffb2e..61167561ac 100644
--- a/sys/bus/u4b/serial/u3g/Makefile
+++ b/sys/bus/u4b/serial/u3g/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	u3g
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	u3g.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/uark/Makefile b/sys/bus/u4b/serial/uark/Makefile
index 9ca505e263..907a287525 100644
--- a/sys/bus/u4b/serial/uark/Makefile
+++ b/sys/bus/u4b/serial/uark/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	uark
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	uark.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/ubsa/Makefile b/sys/bus/u4b/serial/ubsa/Makefile
index 458dd82d5e..2ca3bad542 100644
--- a/sys/bus/u4b/serial/ubsa/Makefile
+++ b/sys/bus/u4b/serial/ubsa/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	ubsa
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	ubsa.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/ubser/Makefile b/sys/bus/u4b/serial/ubser/Makefile
index 67de53dfa5..7b3e951cea 100644
--- a/sys/bus/u4b/serial/ubser/Makefile
+++ b/sys/bus/u4b/serial/ubser/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	ubser
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	ubser.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/uchcom/Makefile b/sys/bus/u4b/serial/uchcom/Makefile
index 91f0432f45..403d4e41d4 100644
--- a/sys/bus/u4b/serial/uchcom/Makefile
+++ b/sys/bus/u4b/serial/uchcom/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	uchcom
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	uchcom.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/ucom/Makefile b/sys/bus/u4b/serial/ucom/Makefile
index 6eebb246ef..cfedf628e7 100644
--- a/sys/bus/u4b/serial/ucom/Makefile
+++ b/sys/bus/u4b/serial/ucom/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	ucom
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	usb_serial.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/ucycom/Makefile b/sys/bus/u4b/serial/ucycom/Makefile
index 671b07d9be..70a9b62689 100644
--- a/sys/bus/u4b/serial/ucycom/Makefile
+++ b/sys/bus/u4b/serial/ucycom/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	ucycom
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	ucycom.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/ufoma/Makefile b/sys/bus/u4b/serial/ufoma/Makefile
index 17e64e2e52..857efaf6dd 100644
--- a/sys/bus/u4b/serial/ufoma/Makefile
+++ b/sys/bus/u4b/serial/ufoma/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	ufoma
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	ufoma.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/uftdi/Makefile b/sys/bus/u4b/serial/uftdi/Makefile
index 758c7c9221..6e812d7121 100644
--- a/sys/bus/u4b/serial/uftdi/Makefile
+++ b/sys/bus/u4b/serial/uftdi/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	uftdi
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	uftdi.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/ugensa/Makefile b/sys/bus/u4b/serial/ugensa/Makefile
index f20e7b88e0..eb00369e9d 100644
--- a/sys/bus/u4b/serial/ugensa/Makefile
+++ b/sys/bus/u4b/serial/ugensa/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	ugensa
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	ugensa.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/uipaq/Makefile b/sys/bus/u4b/serial/uipaq/Makefile
index 7599018064..f865fb7e51 100644
--- a/sys/bus/u4b/serial/uipaq/Makefile
+++ b/sys/bus/u4b/serial/uipaq/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	uipaq
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	uipaq.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/ulpt/Makefile b/sys/bus/u4b/serial/ulpt/Makefile
index 02f4bd91c7..69d6597698 100644
--- a/sys/bus/u4b/serial/ulpt/Makefile
+++ b/sys/bus/u4b/serial/ulpt/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	ulpt
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	ulpt.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/umcs/Makefile b/sys/bus/u4b/serial/umcs/Makefile
index 8773eb8e69..e43278bbf7 100644
--- a/sys/bus/u4b/serial/umcs/Makefile
+++ b/sys/bus/u4b/serial/umcs/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	umcs
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	umcs.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/umct/Makefile b/sys/bus/u4b/serial/umct/Makefile
index cee8c9764b..39190b3640 100644
--- a/sys/bus/u4b/serial/umct/Makefile
+++ b/sys/bus/u4b/serial/umct/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	umct
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	umct.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/umodem/Makefile b/sys/bus/u4b/serial/umodem/Makefile
index 26ff9e69c0..4fa9fd1d50 100644
--- a/sys/bus/u4b/serial/umodem/Makefile
+++ b/sys/bus/u4b/serial/umodem/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	umodem
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h usb_if.h \
 	umodem.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/umoscom/Makefile b/sys/bus/u4b/serial/umoscom/Makefile
index 5f471799b7..9d6ff09472 100644
--- a/sys/bus/u4b/serial/umoscom/Makefile
+++ b/sys/bus/u4b/serial/umoscom/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	umoscom
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	umoscom.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/uplcom/Makefile b/sys/bus/u4b/serial/uplcom/Makefile
index dd058757c5..1b8aee580b 100644
--- a/sys/bus/u4b/serial/uplcom/Makefile
+++ b/sys/bus/u4b/serial/uplcom/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	uplcom
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	uplcom.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/uslcom/Makefile b/sys/bus/u4b/serial/uslcom/Makefile
index d9d0467de0..2bbdcd1991 100644
--- a/sys/bus/u4b/serial/uslcom/Makefile
+++ b/sys/bus/u4b/serial/uslcom/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	uslcom
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	uslcom.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/uvisor/Makefile b/sys/bus/u4b/serial/uvisor/Makefile
index 89dd1011ff..7ac34377d7 100644
--- a/sys/bus/u4b/serial/uvisor/Makefile
+++ b/sys/bus/u4b/serial/uvisor/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	uvisor
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	uvisor.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/serial/uvscom/Makefile b/sys/bus/u4b/serial/uvscom/Makefile
index 780ea5a4e4..a04e5a3290 100644
--- a/sys/bus/u4b/serial/uvscom/Makefile
+++ b/sys/bus/u4b/serial/uvscom/Makefile
@@ -1,7 +1,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	uvscom
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h \
+SRCS=	opt_usb.h device_if.h bus_if.h \
 	uvscom.c usbdevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/storage/umass/Makefile b/sys/bus/u4b/storage/umass/Makefile
index c32a4067fa..24c5e9e2b1 100644
--- a/sys/bus/u4b/storage/umass/Makefile
+++ b/sys/bus/u4b/storage/umass/Makefile
@@ -1,8 +1,8 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	umass
-SRCS=	ata_if.h bus_if.h device_if.h usb_if.h usbdevs.h \
-	opt_usb.h opt_bus.h opt_cam.h opt_ata.h ata_if.h \
+SRCS=	ata_if.h bus_if.h device_if.h usbdevs.h \
+	opt_usb.h opt_cam.h \
 	umass.c
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/storage/urio/Makefile b/sys/bus/u4b/storage/urio/Makefile
index 5272766b7d..a7e40417b0 100644
--- a/sys/bus/u4b/storage/urio/Makefile
+++ b/sys/bus/u4b/storage/urio/Makefile
@@ -28,6 +28,6 @@
 .PATH: ${.CURDIR}/..
 
 KMOD=	urio
-SRCS=   bus_if.h device_if.h opt_bus.h opt_usb.h usb_if.h usbdevs.h urio.c
+SRCS=   bus_if.h device_if.h opt_usb.h usbdevs.h urio.c
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/storage/usfs/Makefile b/sys/bus/u4b/storage/usfs/Makefile
index f42900556b..1e95bb112c 100644
--- a/sys/bus/u4b/storage/usfs/Makefile
+++ b/sys/bus/u4b/storage/usfs/Makefile
@@ -2,7 +2,7 @@
 
 KMOD=	usfs
 SRCS=	ata_if.h bus_if.h device_if.h usb_if.h usbdevs.h \
-	opt_usb.h opt_bus.h opt_cam.h opt_ata.h ata_if.h \
+	opt_usb.h \
 	ustorage_fs.c
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/usb/Makefile b/sys/bus/u4b/usb/Makefile
index 31a2055e2a..ccf8a32d62 100644
--- a/sys/bus/u4b/usb/Makefile
+++ b/sys/bus/u4b/usb/Makefile
@@ -5,7 +5,7 @@ KMOD=	usb
 # XXX usb_compat_linux.c
 
 SRCS=	bus_if.h device_if.h usb_if.h usb_if.c \
-	opt_usb.h opt_bus.h opt_ddb.h \
+	opt_usb.h opt_ddb.h \
 	usbdevs.h usbdevs_data.h \
 	usb_busdma.c usb_controller.c usb_core.c usb_debug.c \
 	usb_dev.c usb_device.c usb_dynamic.c usb_error.c usb_generic.c \
diff --git a/sys/bus/u4b/wlan/rum/Makefile b/sys/bus/u4b/wlan/rum/Makefile
index 7e6011dff5..d5bbcff337 100644
--- a/sys/bus/u4b/wlan/rum/Makefile
+++ b/sys/bus/u4b/wlan/rum/Makefile
@@ -28,7 +28,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	if_rum
-SRCS=	opt_bus.h opt_inet.h opt_usb.h device_if.h bus_if.h usb_if.h usbdevs.h \
+SRCS=	opt_usb.h device_if.h bus_if.h usbdevs.h \
 	if_rum.c
 
 .if !defined(BUILDING_WITH_KERNEL)
diff --git a/sys/bus/u4b/wlan/run/Makefile b/sys/bus/u4b/wlan/run/Makefile
index 80bc8f3599..c19b0b3cb1 100644
--- a/sys/bus/u4b/wlan/run/Makefile
+++ b/sys/bus/u4b/wlan/run/Makefile
@@ -28,7 +28,7 @@
 .PATH:	${.CURDIR}/..
 
 KMOD=	if_run
-SRCS=	opt_bus.h opt_usb.h device_if.h bus_if.h usb_if.h usbdevs.h \
+SRCS=	opt_usb.h device_if.h bus_if.h usbdevs.h \
 	if_run.c
 
 .include <bsd.kmod.mk>
diff --git a/sys/bus/u4b/wlan/urtwn/Makefile b/sys/bus/u4b/wlan/urtwn/Makefile
index 1a75f6780f..942906b73e 100644
--- a/sys/bus/u4b/wlan/urtwn/Makefile
+++ b/sys/bus/u4b/wlan/urtwn/Makefile
@@ -5,6 +5,6 @@
 KMOD    = if_urtwn
 SRCS    = if_urtwn.c if_urtwnreg.h \
 	  bus_if.h device_if.h \
-	  opt_bus.h opt_usb.h usb_if.h usbdevs.h opt_urtwn.h opt_wlan.h
+	  opt_usb.h usbdevs.h opt_urtwn.h opt_wlan.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/crypto/Makefile b/sys/crypto/Makefile
index beef8751e4..ac0893109c 100644
--- a/sys/crypto/Makefile
+++ b/sys/crypto/Makefile
@@ -17,7 +17,7 @@ SRCS	+= cast.c deflate.c rmd160.c rijndael-alg-fst.c rijndael-api.c
 SRCS	+= skipjack.c bf_enc.c bf_skey.c
 SRCS	+= des_ecb.c des_enc.c des_setkey.c
 SRCS	+= sha1.c sha2.c
-SRCS	+= opt_param.h cryptodev_if.h bus_if.h device_if.h
+SRCS	+= cryptodev_if.h bus_if.h device_if.h
 SRCS	+= opt_ddb.h
 SRCS	+= camellia.c camellia-api.c
 SRCS	+= twofish.c
diff --git a/sys/dev/disk/ahci/Makefile b/sys/dev/disk/ahci/Makefile
index 82df933020..5d850d7c16 100644
--- a/sys/dev/disk/ahci/Makefile
+++ b/sys/dev/disk/ahci/Makefile
@@ -3,6 +3,6 @@
 KMOD= ahci
 
 SRCS= ahci_dragonfly.c ahci_attach.c ahci_cam.c ahci_pm.c ahci.c \
-      bus_if.h device_if.h pci_if.h opt_scsi.h opt_cam.h pcidevs.h
+      bus_if.h device_if.h pci_if.h opt_cam.h pcidevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/disk/nata/natacard/Makefile b/sys/dev/disk/nata/natacard/Makefile
index 688c929b74..6831f79812 100644
--- a/sys/dev/disk/nata/natacard/Makefile
+++ b/sys/dev/disk/nata/natacard/Makefile
@@ -2,7 +2,7 @@
 
 KMOD=	natacard
 SRCS=	ata-card.c
-SRCS+=	opt_ata.h ata_if.h device_if.h bus_if.h isa_if.h card_if.h
+SRCS+=	opt_ata.h ata_if.h device_if.h bus_if.h card_if.h
 SRCS+=	pccarddevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/disk/nata/natadisk/Makefile b/sys/dev/disk/nata/natadisk/Makefile
index c476f218a7..082023a032 100644
--- a/sys/dev/disk/nata/natadisk/Makefile
+++ b/sys/dev/disk/nata/natadisk/Makefile
@@ -2,6 +2,6 @@
 
 KMOD=	natadisk
 SRCS=	ata-disk.c
-SRCS+=	opt_ata.h ata_if.h device_if.h bus_if.h pci_if.h
+SRCS+=	opt_ata.h ata_if.h device_if.h bus_if.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/disk/nata/natapicam/Makefile b/sys/dev/disk/nata/natapicam/Makefile
index 29bd5d660e..5188f6bd18 100644
--- a/sys/dev/disk/nata/natapicam/Makefile
+++ b/sys/dev/disk/nata/natapicam/Makefile
@@ -2,6 +2,6 @@
 
 KMOD=	natapicam
 SRCS=	atapi-cam.c
-SRCS+=	opt_ata.h opt_scsi.h opt_cam.h ata_if.h device_if.h bus_if.h pci_if.h
+SRCS+=	opt_ata.h opt_scsi.h opt_cam.h ata_if.h device_if.h bus_if.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/disk/nata/natapicd/Makefile b/sys/dev/disk/nata/natapicd/Makefile
index de2e4b611f..440776f4c6 100644
--- a/sys/dev/disk/nata/natapicd/Makefile
+++ b/sys/dev/disk/nata/natapicd/Makefile
@@ -2,6 +2,6 @@
 
 KMOD=	natapicd
 SRCS=	atapi-cd.c
-SRCS+=	opt_ata.h ata_if.h device_if.h bus_if.h pci_if.h
+SRCS+=	opt_ata.h ata_if.h device_if.h bus_if.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/disk/nata/natapifd/Makefile b/sys/dev/disk/nata/natapifd/Makefile
index b4e510bf03..5100a78bff 100644
--- a/sys/dev/disk/nata/natapifd/Makefile
+++ b/sys/dev/disk/nata/natapifd/Makefile
@@ -2,6 +2,6 @@
 
 KMOD=	natapifd
 SRCS=	atapi-fd.c
-SRCS+=	opt_ata.h ata_if.h device_if.h bus_if.h pci_if.h
+SRCS+=	ata_if.h device_if.h bus_if.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/disk/nata/natapist/Makefile b/sys/dev/disk/nata/natapist/Makefile
index ef3344ee38..380ca0da71 100644
--- a/sys/dev/disk/nata/natapist/Makefile
+++ b/sys/dev/disk/nata/natapist/Makefile
@@ -2,6 +2,6 @@
 
 KMOD=	natapist
 SRCS=	atapi-tape.c
-SRCS+=	opt_ata.h ata_if.h device_if.h bus_if.h pci_if.h
+SRCS+=	opt_ata.h ata_if.h device_if.h bus_if.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/disk/sbp/Makefile b/sys/dev/disk/sbp/Makefile
index f6ef3aabdc..853053b629 100644
--- a/sys/dev/disk/sbp/Makefile
+++ b/sys/dev/disk/sbp/Makefile
@@ -1,5 +1,4 @@
 # $FreeBSD: src/sys/modules/firewire/sbp/Makefile,v 1.2.2.1 2002/11/03 10:58:21 simokawa Exp $
-# $DragonFly: src/sys/dev/disk/sbp/Makefile,v 1.4 2004/02/05 13:32:08 joerg Exp $
 
 # Makefile for the SBP-II (Serial Bus Protocol 2/SCSI over IEEE1394)
 
@@ -7,7 +6,7 @@
 
 KMOD	= sbp
 SRCS	= bus_if.h device_if.h \
-	  opt_cam.h opt_scsi.h \
+	  opt_cam.h \
 	  sbp.c sbp.h\
 	  firewire.h firewirereg.h \
 	  iec13213.h
diff --git a/sys/dev/disk/sili/Makefile b/sys/dev/disk/sili/Makefile
index 20d29c1a6c..88014d33b3 100644
--- a/sys/dev/disk/sili/Makefile
+++ b/sys/dev/disk/sili/Makefile
@@ -3,6 +3,6 @@
 KMOD= sili
 
 SRCS= sili_dragonfly.c sili_attach.c sili_cam.c sili_pm.c sili.c \
-      bus_if.h device_if.h pci_if.h opt_scsi.h opt_cam.h pcidevs.h
+      bus_if.h device_if.h pci_if.h opt_cam.h pcidevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/disk/sym/Makefile b/sys/dev/disk/sym/Makefile
index fd8ca9bb80..392b4b1a85 100644
--- a/sys/dev/disk/sym/Makefile
+++ b/sys/dev/disk/sym/Makefile
@@ -1,7 +1,7 @@
 # $FreeBSD: src/sys/modules/sym/Makefile,v 1.3 2001/01/06 14:00:24 obrien Exp $
 
 KMOD=	sym
-SRCS=	sym_hipd.c opt_sym.h opt_cam.h opt_scsi.h
+SRCS=	sym_hipd.c opt_sym.h opt_cam.h
 SRCS+=	device_if.h bus_if.h pci_if.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/disk/trm/Makefile b/sys/dev/disk/trm/Makefile
index b94f368f0d..c53c411f1c 100644
--- a/sys/dev/disk/trm/Makefile
+++ b/sys/dev/disk/trm/Makefile
@@ -2,7 +2,7 @@
 
 KMOD=	trm
 SRCS=	trm.c trm.h opt_cam.h device_if.h bus_if.h \
-	opt_scsi.h pci_if.h
+	pci_if.h
 
 .if !defined(BUILDING_WITH_KERNEL)
 opt_scsi.h:
diff --git a/sys/dev/disk/vpo/Makefile b/sys/dev/disk/vpo/Makefile
index c21ab00682..977d77c235 100644
--- a/sys/dev/disk/vpo/Makefile
+++ b/sys/dev/disk/vpo/Makefile
@@ -2,7 +2,7 @@
 
 KMOD=	vpo
 SRCS=	bus_if.h device_if.h ppbus_if.h \
-	opt_cam.h opt_scsi.h opt_vpo.h \
+	opt_cam.h opt_vpo.h \
 	immio.c vpo.c vpoio.c
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/drm/drm/Makefile b/sys/dev/drm/drm/Makefile
index 06839bf190..d1332404d4 100644
--- a/sys/dev/drm/drm/Makefile
+++ b/sys/dev/drm/drm/Makefile
@@ -75,7 +75,7 @@ SRCS	= \
 	ttm_module.c
 
 SRCS   += device_if.h bus_if.h pci_if.h device_if.h iicbus_if.h opt_drm.h \
-	  opt_ktr.h opt_vm.h
+	  opt_vm.h
 
 KCFLAGS+= -I${SYSDIR}/dev/drm/include
 KCFLAGS+= -I${SYSDIR}/dev/drm/include/uapi
diff --git a/sys/dev/drm/i915/Makefile b/sys/dev/drm/i915/Makefile
index 2c44f6f491..973c357ae6 100644
--- a/sys/dev/drm/i915/Makefile
+++ b/sys/dev/drm/i915/Makefile
@@ -93,7 +93,7 @@ SRCS += i915_vgpu.c
 SRCS += i915_dma.c
 
 SRCS   += acpi_if.h device_if.h bus_if.h pci_if.h \
-	  opt_acpi.h opt_drm.h opt_ktr.h
+	  opt_acpi.h opt_drm.h
 
 KCFLAGS+= -I${SYSDIR}/dev/drm/include
 KCFLAGS+= -I${SYSDIR}/dev/drm/include/uapi
diff --git a/sys/dev/drm/radeon/Makefile b/sys/dev/drm/radeon/Makefile
index a78306bee4..8941638336 100644
--- a/sys/dev/drm/radeon/Makefile
+++ b/sys/dev/drm/radeon/Makefile
@@ -135,7 +135,6 @@ SRCS	+=								\
 SRCS	+=								\
 	opt_acpi.h							\
 	opt_drm.h							\
-	opt_ktr.h							\
 	acpi_if.h							\
 	bus_if.h							\
 	device_if.h							\
diff --git a/sys/dev/netif/ath/ath_dfs/null/Makefile b/sys/dev/netif/ath/ath_dfs/null/Makefile
index 40688001a0..eda76c6d8a 100644
--- a/sys/dev/netif/ath/ath_dfs/null/Makefile
+++ b/sys/dev/netif/ath/ath_dfs/null/Makefile
@@ -3,6 +3,6 @@
 
 KMOD=	ath_dfs
 SRCS=	dfs_null.c
-SRCS+=	device_if.h bus_if.h pci_if.h opt_ah.h opt_wlan.h opt_inet.h opt_ath.h
+SRCS+=	device_if.h bus_if.h opt_ah.h opt_wlan.h opt_inet.h opt_ath.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/netif/ath/ath_rate/sample/Makefile b/sys/dev/netif/ath/ath_rate/sample/Makefile
index bccda2645d..159142be1b 100644
--- a/sys/dev/netif/ath/ath_rate/sample/Makefile
+++ b/sys/dev/netif/ath/ath_rate/sample/Makefile
@@ -3,6 +3,6 @@
 
 KMOD=	ath_rate
 SRCS=	sample.c
-SRCS+=	device_if.h bus_if.h pci_if.h opt_ah.h opt_wlan.h opt_inet.h opt_ath.h
+SRCS+=	device_if.h bus_if.h opt_ah.h opt_wlan.h opt_inet.h opt_ath.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/netif/iwi/Makefile b/sys/dev/netif/iwi/Makefile
index d71c746a90..f8ff18b82c 100644
--- a/sys/dev/netif/iwi/Makefile
+++ b/sys/dev/netif/iwi/Makefile
@@ -2,8 +2,7 @@ KMOD    = if_iwi
 SRCS    = if_iwi.c \
           device_if.h \
           bus_if.h \
-          pci_if.h \
-          opt_inet.h
+          pci_if.h
 
 SUBDIR	= fw
 
diff --git a/sys/dev/netif/iwm/Makefile b/sys/dev/netif/iwm/Makefile
index 7ac869208d..7f40c21711 100644
--- a/sys/dev/netif/iwm/Makefile
+++ b/sys/dev/netif/iwm/Makefile
@@ -6,7 +6,7 @@ SRCS	+= if_iwm_binding.c if_iwm_phy_ctxt.c if_iwm_scan.c if_iwm_led.c
 SRCS	+= if_iwm_mac_ctxt.c if_iwm_phy_db.c if_iwm_time_event.c
 SRCS	+= if_iwm_notif_wait.c if_iwm_7000.c if_iwm_8000.c if_iwm_fw.c
 SRCS	+= if_iwm_sta.c if_iwm_sf.c
-SRCS	+= device_if.h bus_if.h pci_if.h opt_iwm.h opt_wlan.h
+SRCS	+= device_if.h bus_if.h pci_if.h opt_iwm.h
 
 SUBDIR	= fw
 
diff --git a/sys/dev/netif/lnc/Makefile b/sys/dev/netif/lnc/Makefile
index ee3e803d63..a424b6f2ae 100644
--- a/sys/dev/netif/lnc/Makefile
+++ b/sys/dev/netif/lnc/Makefile
@@ -1,5 +1,5 @@
 KMOD    = if_lnc
 SRCS    = lance.c if_lnc_pci.c am7990.c am79900.c
-SRCS    += device_if.h bus_if.h pci_if.h opt_inet.h
+SRCS    += device_if.h bus_if.h pci_if.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/netif/wpi/Makefile b/sys/dev/netif/wpi/Makefile
index 7881f198a2..ea28d5694a 100644
--- a/sys/dev/netif/wpi/Makefile
+++ b/sys/dev/netif/wpi/Makefile
@@ -1,6 +1,5 @@
 KMOD	= if_wpi
 SRCS	= if_wpi.c device_if.h bus_if.h pci_if.h opt_wlan.h opt_wpi.h
-SRCS	+= miibus_if.h
 
 SUBDIR	= fw
 
diff --git a/sys/dev/netif/xe/Makefile b/sys/dev/netif/xe/Makefile
index b0bb7ad0df..5902429bbb 100644
--- a/sys/dev/netif/xe/Makefile
+++ b/sys/dev/netif/xe/Makefile
@@ -2,7 +2,7 @@
 
 KMOD	= if_xe
 SRCS	= if_xe.c if_xe_pccard.c	\
-	  device_if.h card_if.h pccarddevs.h bus_if.h pci_if.h
+	  device_if.h card_if.h pccarddevs.h bus_if.h
 SRCS	+= if_xevar.h if_xereg.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/powermng/alpm/Makefile b/sys/dev/powermng/alpm/Makefile
index b76df15d16..85e82a0926 100644
--- a/sys/dev/powermng/alpm/Makefile
+++ b/sys/dev/powermng/alpm/Makefile
@@ -1,7 +1,7 @@
 # $FreeBSD: src/sys/modules/i2c/controllers/alpm/Makefile,v 1.2 2007/06/24 20:35:58 njl Exp $
 
 KMOD		= alpm
-SRCS		= device_if.h bus_if.h iicbus_if.h smbus_if.h pci_if.h \
+SRCS		= device_if.h bus_if.h smbus_if.h pci_if.h \
 		  alpm.c
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/powermng/intpm/Makefile b/sys/dev/powermng/intpm/Makefile
index 67759c14b8..d587ef449f 100644
--- a/sys/dev/powermng/intpm/Makefile
+++ b/sys/dev/powermng/intpm/Makefile
@@ -1,7 +1,7 @@
 # $FreeBSD: src/sys/modules/i2c/controllers/intpm/Makefile,v 1.1 2002/03/23 15:48:42 nsouch Exp $
 
 KMOD		= intpm
-SRCS		= device_if.h bus_if.h iicbus_if.h smbus_if.h pci_if.h \
+SRCS		= device_if.h bus_if.h smbus_if.h pci_if.h \
 		  opt_intpm.h intpmreg.h intpm.c
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/powermng/viapm/Makefile b/sys/dev/powermng/viapm/Makefile
index 1f112d0f2b..f5e878be7d 100644
--- a/sys/dev/powermng/viapm/Makefile
+++ b/sys/dev/powermng/viapm/Makefile
@@ -1,7 +1,7 @@
 # $FreeBSD: src/sys/modules/i2c/controllers/viapm/Makefile,v 1.3 2007/06/24 20:35:59 njl Exp $
 
 KMOD		= viapm
-SRCS		= device_if.h bus_if.h iicbb_if.h isa_if.h pci_if.h smbus_if.h \
+SRCS		= device_if.h bus_if.h iicbb_if.h pci_if.h smbus_if.h \
 		  viapm.c
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/raid/aac/Makefile b/sys/dev/raid/aac/Makefile
index a6a80b42cf..3f4c0f9053 100644
--- a/sys/dev/raid/aac/Makefile
+++ b/sys/dev/raid/aac/Makefile
@@ -2,7 +2,7 @@
 
 KMOD=	aac
 SRCS=	aac.c aac_pci.c aac_disk.c aac_cam.c
-SRCS+=	opt_scsi.h opt_cam.h opt_aac.h
+SRCS+=	opt_cam.h opt_aac.h
 SRCS+=	device_if.h bus_if.h pci_if.h
 
 # To enable debug output from the driver, uncomment these two lines.
diff --git a/sys/dev/raid/amr/amr_cam/Makefile b/sys/dev/raid/amr/amr_cam/Makefile
index 9e4a28e9d9..bb7da2fb5c 100644
--- a/sys/dev/raid/amr/amr_cam/Makefile
+++ b/sys/dev/raid/amr/amr_cam/Makefile
@@ -4,6 +4,6 @@
 
 KMOD=	amr_cam
 SRCS=	amr_cam.c device_if.h bus_if.h
-SRCS+=	opt_amr.h opt_cam.h opt_scsi.h
+SRCS+=	opt_amr.h opt_cam.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/raid/arcmsr/Makefile b/sys/dev/raid/arcmsr/Makefile
index 377677f27e..1bdf16d23f 100644
--- a/sys/dev/raid/arcmsr/Makefile
+++ b/sys/dev/raid/arcmsr/Makefile
@@ -2,7 +2,7 @@
 
 KMOD=	arcmsr
 SRCS=	arcmsr.c
-SRCS+=	opt_scsi.h opt_cam.h
+SRCS+=	opt_cam.h
 SRCS+=	device_if.h bus_if.h pci_if.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/raid/asr/Makefile b/sys/dev/raid/asr/Makefile
index 7a08f710de..911327d307 100644
--- a/sys/dev/raid/asr/Makefile
+++ b/sys/dev/raid/asr/Makefile
@@ -2,7 +2,7 @@
 
 KMOD=	asr
 SRCS=	asr.c
-SRCS+=	opt_scsi.h opt_cam.h
+SRCS+=	opt_cam.h
 SRCS+=	device_if.h bus_if.h pci_if.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/raid/ciss/Makefile b/sys/dev/raid/ciss/Makefile
index 376206ebc1..e64f0eed28 100644
--- a/sys/dev/raid/ciss/Makefile
+++ b/sys/dev/raid/ciss/Makefile
@@ -2,7 +2,7 @@
 
 KMOD		=  ciss
 SRCS		=  ciss.c
-SRCS		+= opt_scsi.h opt_cam.h opt_ddb.h
+SRCS		+= opt_cam.h
 SRCS		+= device_if.h bus_if.h pci_if.h
 
 #CFLAGS		+=-DCISS_DEBUG
diff --git a/sys/dev/raid/hpt27xx/Makefile b/sys/dev/raid/hpt27xx/Makefile
index bafc9875d1..088e806838 100644
--- a/sys/dev/raid/hpt27xx/Makefile
+++ b/sys/dev/raid/hpt27xx/Makefile
@@ -2,7 +2,7 @@
 
 KMOD=	hpt27xx
 SRCS=	bus_if.h device_if.h pci_if.h
-SRCS+=	opt_cam.h opt_scsi.h
+SRCS+=	opt_cam.h
 SRCS+=	hpt27xx_os_bsd.c hpt27xx_osm_bsd.c hpt27xx_config.c
 OBJS+=	hpt27xx_lib.bo
 
diff --git a/sys/dev/raid/hptiop/Makefile b/sys/dev/raid/hptiop/Makefile
index 6c3b5af628..2cd1115033 100644
--- a/sys/dev/raid/hptiop/Makefile
+++ b/sys/dev/raid/hptiop/Makefile
@@ -2,7 +2,7 @@
 
 KMOD=	hptiop
 SRCS=	hptiop.c
-SRCS+=	opt_scsi.h opt_cam.h
+SRCS+=	opt_cam.h
 SRCS+=	device_if.h bus_if.h pci_if.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/raid/hptmv/Makefile b/sys/dev/raid/hptmv/Makefile
index dc5e789dc2..337cd2d3a7 100644
--- a/sys/dev/raid/hptmv/Makefile
+++ b/sys/dev/raid/hptmv/Makefile
@@ -5,7 +5,7 @@
 # $FreeBSD: src/sys/modules/hptmv/Makefile,v 1.5 2010/08/23 06:13:29 imp Exp $
 
 KMOD= hptmv
-SRCS= opt_scsi.h opt_cam.h
+SRCS= opt_cam.h
 SRCS+= bus_if.h device_if.h pci_if.h
 SRCS+= mv.c entry.c ioctl.c hptproc.c gui_lib.c
 OBJS+= hptmvraid.bo
diff --git a/sys/dev/raid/hptrr/Makefile b/sys/dev/raid/hptrr/Makefile
index 7924a6235f..43027cb0eb 100644
--- a/sys/dev/raid/hptrr/Makefile
+++ b/sys/dev/raid/hptrr/Makefile
@@ -2,7 +2,7 @@
 # $FreeBSD: head/sys/modules/hptrr/Makefile 314651 2017-03-04 10:10:17Z ngie $
 
 KMOD = hptrr
-SRCS = opt_scsi.h opt_cam.h bus_if.h device_if.h pci_if.h os_bsd.h
+SRCS = opt_cam.h bus_if.h device_if.h pci_if.h os_bsd.h
 SRCS+= hptrr_os_bsd.c hptrr_osm_bsd.c hptrr_config.c
 OBJS = hptrr_lib.bo
 
diff --git a/sys/dev/raid/iir/Makefile b/sys/dev/raid/iir/Makefile
index 7fed468d7c..95f0b588e7 100644
--- a/sys/dev/raid/iir/Makefile
+++ b/sys/dev/raid/iir/Makefile
@@ -3,7 +3,7 @@
 KMOD=   iir
 
 SRCS=   iir.c iir_ctrl.c iir_pci.c
-SRCS+=  opt_scsi.h opt_cam.h
+SRCS+=  opt_cam.h
 SRCS+=  device_if.h bus_if.h pci_if.h pcidevs.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/raid/mfi/Makefile b/sys/dev/raid/mfi/Makefile
index 6932492443..aaa693c54a 100644
--- a/sys/dev/raid/mfi/Makefile
+++ b/sys/dev/raid/mfi/Makefile
@@ -4,7 +4,7 @@ SUBDIR= mfip
 
 KMOD=	mfi
 SRCS=	mfi.c mfi_pci.c mfi_disk.c mfi_debug.c mfi_syspd.c mfi_tbolt.c
-SRCS+=	opt_mfi.h opt_cam.h
+SRCS+=	opt_mfi.h
 SRCS+=	device_if.h bus_if.h pci_if.h
 
 #CFLAGS += -DMFI_DEBUG
diff --git a/sys/dev/raid/mfi/mfip/Makefile b/sys/dev/raid/mfi/mfip/Makefile
index 467025fad3..8eababa142 100644
--- a/sys/dev/raid/mfi/mfip/Makefile
+++ b/sys/dev/raid/mfi/mfip/Makefile
@@ -5,6 +5,6 @@
 KMOD=	mfip
 SRCS=	mfi_cam.c
 SRCS+=	opt_mfi.h opt_cam.h
-SRCS+=	device_if.h bus_if.h pci_if.h
+SRCS+=	device_if.h bus_if.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/raid/mly/Makefile b/sys/dev/raid/mly/Makefile
index 34aa88aa8c..7240b7a2d6 100644
--- a/sys/dev/raid/mly/Makefile
+++ b/sys/dev/raid/mly/Makefile
@@ -2,7 +2,7 @@
 
 KMOD=	mly
 SRCS=	mly.c
-SRCS+=	opt_scsi.h opt_cam.h
+SRCS+=	opt_cam.h
 SRCS+=	device_if.h bus_if.h pci_if.h
 
 #CFLAGS+=	-DMLY_DEBUG=3
diff --git a/sys/dev/raid/mrsas/Makefile b/sys/dev/raid/mrsas/Makefile
index 77bc398b90..80ecdb3ee5 100644
--- a/sys/dev/raid/mrsas/Makefile
+++ b/sys/dev/raid/mrsas/Makefile
@@ -2,7 +2,7 @@
 
 KMOD=	mrsas
 SRCS=	mrsas.c mrsas_cam.c mrsas_ioctl.c mrsas_fp.c
-SRCS+=	device_if.h bus_if.h pci_if.h opt_cam.h opt_scsi.h
+SRCS+=	device_if.h bus_if.h pci_if.h opt_cam.h
 
 #CFLAGS+= -DMRSAS_DEBUG
 .include <bsd.kmod.mk>
diff --git a/sys/dev/raid/twa/Makefile b/sys/dev/raid/twa/Makefile
index e6cf930a15..cf78c0685d 100644
--- a/sys/dev/raid/twa/Makefile
+++ b/sys/dev/raid/twa/Makefile
@@ -35,7 +35,7 @@
 KMOD = twa
 SRCS=  tw_osl_freebsd.c tw_osl_cam.c \
       tw_cl_init.c tw_cl_io.c tw_cl_intr.c tw_cl_misc.c \
-      bus_if.h device_if.h pci_if.h opt_scsi.h opt_cam.h opt_twa.h
+      bus_if.h device_if.h pci_if.h opt_cam.h opt_twa.h
 
 # Uncomment the following line to turn on Enclosure Services support.
 #CFLAGS+= -DTWA_ENCLOSURE_SUPPORT
diff --git a/sys/dev/raid/tws/Makefile b/sys/dev/raid/tws/Makefile
index 8781c53906..bf11a65cc4 100644
--- a/sys/dev/raid/tws/Makefile
+++ b/sys/dev/raid/tws/Makefile
@@ -3,6 +3,6 @@
 KMOD=   tws
 
 SRCS=   tws.c tws_services.c tws_cam.c tws_hdm.c tws_user.c
-SRCS+=  device_if.h bus_if.h pci_if.h opt_cam.h opt_scsi.h
+SRCS+=  device_if.h bus_if.h pci_if.h opt_cam.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/sound/driver/spicds/Makefile b/sys/dev/sound/driver/spicds/Makefile
index 2114562cd2..b0e5233f09 100644
--- a/sys/dev/sound/driver/spicds/Makefile
+++ b/sys/dev/sound/driver/spicds/Makefile
@@ -3,7 +3,7 @@
 .PATH: ${.CURDIR}/../../pci
 
 KMOD=	snd_spicds
-SRCS=	device_if.h bus_if.h pci_if.h
+SRCS=	device_if.h bus_if.h
 SRCS+=	spicds.c
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/video/bktr/bktr/Makefile b/sys/dev/video/bktr/bktr/Makefile
index cf7041941e..23b8e3688a 100644
--- a/sys/dev/video/bktr/bktr/Makefile
+++ b/sys/dev/video/bktr/bktr/Makefile
@@ -5,7 +5,7 @@
 .PATH:  ${.CURDIR}/..
 KMOD=	bktr 
 SRCS=	bktr_core.c bktr_os.c bktr_audio.c bktr_tuner.c bktr_card.c \
-	use_bktr.h opt_bktr.h use_smbus.h bus_if.h device_if.h \
+	opt_bktr.h bus_if.h device_if.h \
 	pci_if.h pcidevs.h
 
 use_bktr.h:
diff --git a/sys/dev/video/vga/Makefile b/sys/dev/video/vga/Makefile
index 41a1446390..cb8366f392 100755
--- a/sys/dev/video/vga/Makefile
+++ b/sys/dev/video/vga/Makefile
@@ -1,6 +1,6 @@
 KMOD=	vga_switcheroo
 SRCS=	vga_switcheroo.c
-SRCS+=	device_if.h bus_if.h pci_if.h opt_drm.h
+SRCS+=	device_if.h bus_if.h pci_if.h
 
 KCFLAGS+= -I${SYSDIR}/dev/drm/include
 
diff --git a/sys/dev/virtual/virtio/balloon/Makefile b/sys/dev/virtual/virtio/balloon/Makefile
index 99f36abdc4..11b0a8fd70 100644
--- a/sys/dev/virtual/virtio/balloon/Makefile
+++ b/sys/dev/virtual/virtio/balloon/Makefile
@@ -25,7 +25,6 @@
 
 KMOD=	virtio_balloon
 SRCS=	virtio_balloon.c
-SRCS+=	virtio_bus_if.h
 SRCS+=	bus_if.h device_if.h
 
 #KCFLAGS+= -DINVARIANTS -DDEBUG
diff --git a/sys/dev/virtual/virtio/block/Makefile b/sys/dev/virtual/virtio/block/Makefile
index 4a674b89c5..11d2b94718 100644
--- a/sys/dev/virtual/virtio/block/Makefile
+++ b/sys/dev/virtual/virtio/block/Makefile
@@ -25,7 +25,6 @@
 
 KMOD=	virtio_blk
 SRCS=	virtio_blk.c
-SRCS+=	virtio_bus_if.h
 SRCS+=	bus_if.h device_if.h 
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/virtual/virtio/net/Makefile b/sys/dev/virtual/virtio/net/Makefile
index 9855c2605f..d9476508ae 100644
--- a/sys/dev/virtual/virtio/net/Makefile
+++ b/sys/dev/virtual/virtio/net/Makefile
@@ -1,6 +1,5 @@
 KMOD=	if_vtnet
 SRCS=	if_vtnet.c
-SRCS+=	virtio_bus_if.h
 SRCS+=	bus_if.h device_if.h
 SRCS+=	opt_ifpoll.h
 
diff --git a/sys/dev/virtual/virtio/random/Makefile b/sys/dev/virtual/virtio/random/Makefile
index 5d81ef77c3..fca51b53f6 100644
--- a/sys/dev/virtual/virtio/random/Makefile
+++ b/sys/dev/virtual/virtio/random/Makefile
@@ -25,7 +25,6 @@
 
 KMOD=	virtio_random
 SRCS=	virtio_random.c
-SRCS+=	virtio_bus_if.h
 SRCS+=	bus_if.h device_if.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/virtual/virtio/scsi/Makefile b/sys/dev/virtual/virtio/scsi/Makefile
index 7dfe83fa7c..0c72104674 100644
--- a/sys/dev/virtual/virtio/scsi/Makefile
+++ b/sys/dev/virtual/virtio/scsi/Makefile
@@ -25,7 +25,6 @@
 
 KMOD=	virtio_scsi
 SRCS=	virtio_scsi.c
-SRCS+=	virtio_bus_if.h
-SRCS+=	bus_if.h device_if.h opt_scsi.h opt_cam.h
+SRCS+=	bus_if.h device_if.h opt_cam.h
 
 .include <bsd.kmod.mk>
diff --git a/sys/net/gif/Makefile b/sys/net/gif/Makefile
index 901118349e..647a7e3d00 100644
--- a/sys/net/gif/Makefile
+++ b/sys/net/gif/Makefile
@@ -1,10 +1,9 @@
 # $FreeBSD: src/sys/modules/if_gif/Makefile,v 1.1.2.1 2001/07/24 19:10:17 brooks Exp $
-# $DragonFly: src/sys/net/gif/Makefile,v 1.4 2006/10/25 20:56:02 dillon Exp $
 
 .PATH: ${.CURDIR}/../../net ${.CURDIR}/../../netinet ${.CURDIR}/../../netinet6
 
 KMOD=	if_gif
-SRCS=	if_gif.c in_gif.c in6_gif.c opt_inet.h opt_inet6.h opt_mrouting.h
+SRCS=	if_gif.c in_gif.c in6_gif.c opt_inet.h opt_inet6.h
 SRCS+=	device_if.h bus_if.h
 
 .if !defined(BUILDING_WITH_KERNEL)
diff --git a/sys/net/pf/Makefile b/sys/net/pf/Makefile
index d5c7b3b41c..6eac39f67e 100644
--- a/sys/net/pf/Makefile
+++ b/sys/net/pf/Makefile
@@ -1,7 +1,7 @@
 KMOD=	pf
 SRCS=	if_pflog.c if_pfsync.c pf.c pf_if.c pf_ioctl.c pf_norm.c pf_osfp.c pf_subr.c
 SRCS+=	pf_table.c pf_ruleset.c
-SRCS+=	use_bpf.h use_pflog.h use_pfsync.h opt_inet.h opt_inet6.h opt_carp.h
+SRCS+=	use_bpf.h use_pflog.h opt_inet.h opt_inet6.h opt_carp.h
 SRCS+=	opt_icmp_bandlim.h
 
 use_pflog.h:
diff --git a/sys/netbt/Makefile b/sys/netbt/Makefile
index bdadc9a24b..74d07b969c 100644
--- a/sys/netbt/Makefile
+++ b/sys/netbt/Makefile
@@ -1,12 +1,10 @@
-# $DragonFly: src/sys/netbt/Makefile,v 1.1 2007/12/30 20:02:56 hasso Exp $
-
 KMOD	= netbt
 SRCS	= sco_socket.c sco_upper.c bt_input.c bt_proto.c hci_event.c hci_ioctl.c
 SRCS	+= hci_link.c hci_misc.c hci_socket.c hci_unit.c l2cap_lower.c
 SRCS	+= l2cap_misc.c l2cap_signal.c l2cap_socket.c l2cap_upper.c
 SRCS	+= rfcomm_dlc.c rfcomm_session.c rfcomm_socket.c rfcomm_upper.c
 SRCS	+= bluetooth.h hci.h l2cap.h rfcomm.h sco.h 
-SRCS	+= opt_usb.h device_if.h bus_if.h
+SRCS	+= device_if.h bus_if.h
 
 .include <bsd.kmod.mk>
 
diff --git a/sys/netproto/802_11/wlan/Makefile b/sys/netproto/802_11/wlan/Makefile
index 2412b54ce3..196472d7ea 100644
--- a/sys/netproto/802_11/wlan/Makefile
+++ b/sys/netproto/802_11/wlan/Makefile
@@ -11,7 +11,7 @@ SRCS	+= ieee80211_regdomain.c
 SRCS	+= ieee80211_scan.c ieee80211_scan_sta.c  ieee80211_scan_sw.c
 SRCS	+= ieee80211_sta.c ieee80211_superg.c ieee80211_tdma.c
 SRCS	+= ieee80211_wds.c
-SRCS	+= bus_if.h device_if.h opt_inet.h opt_inet6.h opt_wlan.h
+SRCS	+= opt_inet.h opt_inet6.h opt_wlan.h
 SRCS	+= opt_tdma.h opt_ddb.h
 
 .if !defined(BUILDING_WITH_KERNEL)
diff --git a/sys/vfs/smbfs/Makefile b/sys/vfs/smbfs/Makefile
index b465f08aa1..b6cee317ab 100644
--- a/sys/vfs/smbfs/Makefile
+++ b/sys/vfs/smbfs/Makefile
@@ -7,9 +7,7 @@
 
 KMOD=	smbfs
 
-SRCS=	opt_inet.h \
-	opt_netsmb.h \
-	iconv_converter_if.h \
+SRCS=	opt_netsmb.h \
 	md4c.c \
 	smb_conn.c smb_dev.c smb_trantcp.c smb_smb.c smb_subr.c smb_rq.c \
 	smb_usr.c smb_crypt.c smb_iod.c \
-- 
2.19.2

